summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorYen Chi Hsuan2017-08-19 23:28:26 +0800
committerYen Chi Hsuan2017-08-19 23:28:26 +0800
commit15e91843327ae49c9a4c2e53ddeab3a434a5db0b (patch)
tree698b7e0e12729a32428d536246cb01e5315e56ee
downloadaur-15e91843327ae49c9a4c2e53ddeab3a434a5db0b.tar.gz
Bump to 0.2.2.r26.g73e5a87
New package
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD37
2 files changed, 56 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..b0be6c19134
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+pkgbase = fcitx-chewing-git
+ pkgdesc = Fcitx Wrapper for chewing
+ pkgver = 0.2.2.r26.g73e5a87
+ pkgrel = 1
+ url = https://github.com/fcitx/fcitx-chewing
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = cmake
+ makedepends = git
+ depends = libchewing
+ depends = fcitx
+ provides = fcitx-chewing
+ conflicts = fcitx-chewing
+ source = git+https://github.com/fcitx/fcitx-chewing.git
+ md5sums = SKIP
+
+pkgname = fcitx-chewing-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..afa769ea31a
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars@gmail.com>
+
+_pkgname=fcitx-chewing
+pkgname=${_pkgname}-git
+pkgver=0.2.2.r26.g73e5a87
+pkgrel=1
+pkgdesc='Fcitx Wrapper for chewing'
+arch=(i686 x86_64)
+url='https://github.com/fcitx/fcitx-chewing'
+license=(GPL)
+depends=(libchewing fcitx)
+makedepends=(cmake git)
+source=("git+https://github.com/fcitx/fcitx-chewing.git")
+md5sums=('SKIP')
+conflicts=("${_pkgname}")
+provides=("${_pkgname}")
+
+pkgver() {
+ cd $_pkgname
+ ( set -o pipefail
+ git describe --long --tag 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g;s/^v//' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd ${_pkgname}
+
+ cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release .
+ make
+}
+
+package() {
+ cd ${_pkgname}
+ make DESTDIR="$pkgdir" install
+}